package com.unis.base.server.service;

import java.io.IOException;
import java.util.List;
import java.util.Map;

import org.springframework.web.multipart.MultipartFile;

import com.unis.base.server.entity.TyHly;
import com.unis.base.server.entity.TyHlyDr;
import com.unis.base.server.entity.TyHlyz;
import com.unis.common.utils.ResponseWrapper;

public interface TyHlyService {

	int save(TyHly hly, List<TyHlyz> hlyzList);

	int update(TyHly hly, List<TyHlyz> hlyzList);

	int remove(String id,String qyxydm);

	Map<String, Object> getById(String id);

	List<TyHly> queryList(Integer pageNum, Integer pageSize, TyHly hly);

	List<TyHlyDr> exportByEntityResult(String qymc);

	List<String[]> importByFile(MultipartFile file)throws IOException;

	ResponseWrapper importByEntityResult(MultipartFile file,String zzbm)throws IOException;
	
	int updateObjz(TyHly hly, TyHlyz tyHlyz);
	

	
}
